Package com.collibra.dgc.core.api.dto.customization

# Class RestoreCustomizationBackupRequest

Object
RestoreCustomizationBackupRequest

All Implemented Interfaces:
  `Serializable`

public class RestoreCustomizationBackupRequest extends Object implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RestoreCustomizationBackupRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RestoreCustomizationBackupRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RestoreCustomizationBackupRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `InputStream`
  `getFileStream()`
  Required. The file content: a stream of a zip file containing the customization folders.
  `String`
  `getName()`
  Required. The name of the zip archive containing the customizations.
  `int`
  `hashCode()`
  `void`
  `setFileStream(InputStream fileStream)`
  Required. The file content: a stream of a zip file containing the customization folders.
  `void`
  `setName(String name)`
  Required. The name of the zip archive containing the customizations.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RestoreCustomizationBackupRequest

    public RestoreCustomizationBackupRequest()

- ## Method Details

  - ### builder

    public static RestoreCustomizationBackupRequest.Builder builder()

  - ### getName

    public String getName()
    Required. The name of the zip archive containing the customizations.

  - ### getFileStream

    public InputStream getFileStream()
    Required. The file content: a stream of a zip file containing the customization folders.

  - ### setName

    public void setName(String name)
    Required. The name of the zip archive containing the customizations.

  - ### setFileStream

    public void setFileStream(InputStream fileStream)
    Required. The file content: a stream of a zip file containing the customization folders.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`